Subject: bug#21695: [External] : bug#21695: 25.0.50; Change most occurrences of `setq' in Emacs manual to `customize-set-variable'? Really?

From: Drew Adams <[email-masked]>
Date: Thu, 2 Sep 2021 17:07:49 +0000

> With those variables, you're supposed to use setq-default if your
> aim is to change the default value.
> 
>   > Maybe calling setq during init time on automatically buffer-local
>   > variables should generate a warning.
> 
> Perhaps it should do that only if you're in the buffer that is
> current by default during the init files.
> 
> I think the basic idea of this warning is good.
> There are various possble ways to implement a warning,
> so it would be useful to look, now, for the best way.

I really should have made clear in the bug title and
write-up that I was talking about the use of `setq'
with user options.

The use of `setq' with buffer-local variables, when
what someone really wants is to use `setq-default',
is an orthogonal issue.

It's fine to examine occurrences of `setq' in the
docs for both issues, but the buffer-local (which
also means non-option) case was not what I had in
mind when filing the report.